/*
cdcd - Command Driven CD player
Copyright (C) 1998-99 Tony Arcieri
Copyright (C) 2001, 2002, 2003 Fabrice Bauzac

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef GLOBAL_H
#define GLOBAL_H

#include "cdcd.h"

extern const char cdcdrc_firstline[];
extern const char cdcdrc_file[];

/* Start track in playlist */
extern int play_track;

/* End track in playlist */
extern int end_track;

/* CDDB messages, a.k.a. have cdcd be in charge of CDDB operations */
extern int verbosity;

/* CDDB timestamp */
extern int timestamp;

/* Timestamped discid */
extern int timestamped_discid;

/* CD-ROM device */
extern int cd_desc;

/* Device name */
/* FIXME: use dynamically allocated strings */
extern char device[CDCDRC_DEVICE_LEN];

#endif /* GLOBAL_H */
